import { View, Text } from "@tarojs/components";
import Activity from '@/features/trackSomething/components/Activity'
import { useDidShow, useReady, useShareAppMessage } from "@tarojs/taro";
import { activityCards } from "@/services/trackSomething";
import Tabbar from "@/components/navigation/TabBar";
import { useTranslation } from "react-i18next";

export default function Page() {

    const { t } = useTranslation()
    // useReady(()=>{
    //     activityCards().then(res=>{

    //     })
    // })
    if (process.env.TARO_ENV == 'weapp') {
        useShareAppMessage((e) => {
          return {
            title: t('share.title'),
            path: 'pages/clock/Clock'
          }
        })
      }

    useDidShow(() => {
        // global.updateTab(2)
    })

    function refresh() {
        console.log('refresh')
    }
    return (
        <View>
            <Activity />
            <Tabbar index={2} />
        </View>
    )
}